### Navigation

- index
- next |
- Ren'Py Visual Novel Engine v6.11.0 documentation

# Welcome to Ren'Py's documentation!

We're in the process of rewriting Ren'Py's documentation. While what we have here is the most up-to-date documentation, it's also very incomplete. To find out more about Ren'Py, please visit the Ren'Py home page:

> http://www.renpy.org/

## Getting Started

- Quickstart
  - The Ren'Py Launcher
  - A Simple Game
  - Characters
  - Images
  - Transitions
  - Positions
  - Music and Sound
  - Ending the Game
  - Menus, Labels, and Jumps
  - Python and If Statements
  - Releasing Your Game
  - Script of The Question
  - Where do we go from here?

## The Ren'Py Language

- Language Basics
  - Files
  - Comments
  - Logical Lines
  - Indentation and Blocks
  - Elements of Statements
  - Common Statement Syntax
- Animation and Transformation Language
  - Ren'Py Script Statements
  - ATL Syntax and Semantics
  - ATL Statements
  - Warpers
  - List of Transform Properties
  - Circular Motion
  - External Events

## Customizing Ren'Py

- Styles and Style Properties
  - Style Property Prefixes
  - Style Property Values
  - List of All Style Properties
  - Creating New Named Styles
- Screens and Screen Language
  - Screen Language
  - User Interface Statements
  - Imagemap Statements
  - Has Statement
  - Control Statements
  - Screen Statements
- Screen Actions, Values, and Functions
  - Actions
  - Values
  - Functions
- Special Screen Names
  - In-Game Screens
  - Menu Screens
- Configuration Variables
  - Commonly Used
  - Occasionally Used
  - Rarely or Internally Used

## Python and Ren'Py

- Screens and Python
  - Screen Functions
  - UI Functions
  - Actions
  - BarValues
- Other Functions

## End-User Documentation

- Dealing With Display Problems

## Changes and License

- Full Changelog
- Incompatible Changes
- Distributor Notes
- License

### Navigation

- index
- next |
- Ren'Py Visual Novel Engine v6.11.0 documentation